package net.wanji.opt.service.impl;

import lombok.extern.slf4j.Slf4j;
import net.wanji.common.utils.tool.BeanListUtils;
import net.wanji.opt.dao.mapper.CrossSectionMapper;
import net.wanji.opt.dto.CrossSectionDTO;
import net.wanji.opt.po.base.CrossSectionPO;
import net.wanji.opt.service.CrossSectionService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

/**
 * @author hfx
 * @date 2023/1/17 17:48
 * @desc CrossSectionServiceImpl
 */
@Service
@Slf4j
public class CrossSectionServiceImpl implements CrossSectionService {

    @Resource
    CrossSectionMapper crossSectionMapper;

    @Override
    public List<CrossSectionDTO> listCrossSectionInfo(String crossId, String planId) {

        // 获取时段信息
        List<CrossSectionPO> sectionPOList = crossSectionMapper.listCrossSectionInfo();
        return BeanListUtils.populateList(sectionPOList, new ArrayList<>(), CrossSectionDTO.class);
    }
}
